Package name.pachler.nio.file

# Class StandardWatchEventKind

java.lang.Object
name.pachler.nio.file.StandardWatchEventKind

public class StandardWatchEventKind extends Object
This class contains the standard watch event kinds, which are basically flags that indicate which events a WatchService should report when a Watchable is registered with a WatchService. The kinds are also used to indicate the kind of event on events that are reported back. Note that the event kinds defined in this class are supported on all platforms

See Also:
  - `Watchable.register(name.pachler.nio.file.WatchService, name.pachler.nio.file.WatchEvent.Kind<?>...)`
  - invalid reference

        WatchEvent$Kind

## Field Summary

Fields
Modifier and Type
Field
Description
`static final WatchEvent.Kind<Path>`
`ENTRY_CREATE`
Indicates that a file has been created under the watched path.
`static final WatchEvent.Kind<Path>`
`ENTRY_DELETE`
Indicates that a file has been deleted under the watched path.
`static final WatchEvent.Kind<Path>`
`ENTRY_MODIFY`
Indicates that a file under the watched path has been modified.
`static final WatchEvent.Kind<Void>`
`OVERFLOW`
Indicates queue overflow in the WatchService.

## Constructor Summary

Constructors
Constructor
Description
`StandardWatchEventKind()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENTRY_CREATE

public static final WatchEvent.Kind<Path> ENTRY_CREATE
Indicates that a file has been created under the watched path.

### ENTRY_DELETE

public static final WatchEvent.Kind<Path> ENTRY_DELETE
Indicates that a file has been deleted under the watched path. Note that on file rename the old file name will be reported as deleted if no other (extended) watch event kinds are specified.

See Also:
  - `ExtendedWatchEventKind`

### ENTRY_MODIFY

public static final WatchEvent.Kind<Path> ENTRY_MODIFY
Indicates that a file under the watched path has been modified. Note that modification can never be byte-accurate, which means that you won't receive a modification event for each byte written to a file. It is higly implementation dependent how many modification events are produced.

### OVERFLOW

public static final WatchEvent.Kind<Void> OVERFLOW
Indicates queue overflow in the WatchService. If the event queue overflows (because, for example,the WatchService runs out of space to store events because they occur faster than the client code can retreives them from the designated watch keys), additional events are dropped, and this event is reported. Note that WatchKeys are always subscribed to this event, regardless of whether it is specified to `register()` or not.

See Also:
  - `Watchable.register(name.pachler.nio.file.WatchService, name.pachler.nio.file.WatchEvent.Kind<?>...)`

## Constructor Details

### StandardWatchEventKind

public StandardWatchEventKind()